List Agent Subscriptions
curl --request GET \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 300,
"workspace_id": "01kqh44byes9kscvsdfth6g52h",
"type": "default",
"stripe_id": "sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U",
"stripe_status": "active",
"stripe_price": null,
"quantity": null,
"trial_ends_at": null,
"ends_at": null,
"created_at": "2026-05-01T06:38:01.000000Z",
"updated_at": "2026-05-01T06:38:01.000000Z"
},
{
"id": 301,
"workspace_id": "01kqh44bzkzydyf7pb56xqj5z6",
"type": "default",
"stripe_id": "sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ",
"stripe_status": "active",
"stripe_price": null,
"quantity": null,
"trial_ends_at": null,
"ends_at": null,
"created_at": "2026-05-01T06:38:01.000000Z",
"updated_at": "2026-05-01T06:38:01.000000Z"
}
],
"meta": {
"per_page": 20,
"next_cursor": null,
"prev_cursor": null
}
}Subscriptions
List Subscriptions
Retrieves a paginated list of subscriptions for the specified agent. The subscriptions are returned using cursor-based pagination.
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
agents
/
{agent_id}
/
subscriptions
List Agent Subscriptions
Authorizations
Bearer token authentication
Path Parameters
The ID of the workspace.
The ID of the agent.
Query Parameters
The number of items per page. Must be at least 1. Must not be greater than 100.
Example:
25
The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.
Example:
"example"
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": 300,
"workspace_id": "01kqh44byes9kscvsdfth6g52h",
"type": "default",
"stripe_id": "sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U",
"stripe_status": "active",
"stripe_price": null,
"quantity": null,
"trial_ends_at": null,
"ends_at": null,
"created_at": "2026-05-01T06:38:01.000000Z",
"updated_at": "2026-05-01T06:38:01.000000Z"
},
{
"id": 301,
"workspace_id": "01kqh44bzkzydyf7pb56xqj5z6",
"type": "default",
"stripe_id": "sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ",
"stripe_status": "active",
"stripe_price": null,
"quantity": null,
"trial_ends_at": null,
"ends_at": null,
"created_at": "2026-05-01T06:38:01.000000Z",
"updated_at": "2026-05-01T06:38:01.000000Z"
}
]
Show child attributes
Show child attributes

